Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.xml
Class FastXMLWriter

    java.lang.Object
      org.biojava.utils.xml.FastXMLWriter

    public class FastXMLWriter

extends Object

Simple implementation of XMLWriter, optimized for speed. The output is not necessarily human-readable, but is fine for automated parsing.

Author:
  Thomas Down

Constructor Summary
`FastXMLWriter(PrintWriter writer)`

Method Summary
`void` | `attribute(String qName, String value)`
`void` | `closeTag(String qName)`
`protected void` | `numericalEntity(char c)`
`void` | `openTag(String qName)`
`void` | `print(String data)`
`protected void` | `printAttributeValue(String data)`
`protected void` | `printChars(String data)`
`void` | `println(String data)`
`void` | `printRaw(String data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastXMLWriter

    public FastXMLWriter(PrintWriter writer)

Method Detail

### openTag

    public void openTag(String qName)
                 throws IOException

  Throws:
    `IOException`

### attribute

    public void attribute(String qName,
                          String value)
                   throws IOException

  Throws:
    `IOException`

### closeTag

    public void closeTag(String qName)
                  throws IOException

  Throws:
    `IOException`

### println

    public void println(String data)
                 throws IOException

  Throws:
    `IOException`

### print

    public void print(String data)
               throws IOException

  Throws:
    `IOException`

### printRaw

    public void printRaw(String data)
                  throws IOException

  Throws:
    `IOException`

### printChars

    protected void printChars(String data)
                       throws IOException

  Throws:
    `IOException`

### printAttributeValue

    protected void printAttributeValue(String data)
                                throws IOException

  Throws:
    `IOException`

### numericalEntity

    protected void numericalEntity(char c)
                            throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD